Bug 1049417 - child pid *** exit signal Segmentation fault
Summary: child pid *** exit signal Segmentation fault
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 14:50 UTC by Harald Reindl
Modified: 2014-01-10 18:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-09 12:12:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2014-01-07 14:50:17 UTC
- fix zend_register_functions breaks reflection, php bug 66218 
- fix Heap buffer over-read in DateInterval, php bug 66060

i guess they are for
[Tue Jan 07 14:54:54.796457 2014] [core:notice] [pid 664] AH00052: child pid 13041 exit signal Segmentation fault (11)
[Tue Jan 07 14:55:01.804424 2014] [core:notice] [pid 664] AH00052: child pid 1151 exit signal Segmentation fault (11)
[Tue Jan 07 14:55:40.847752 2014] [core:notice] [pid 664] AH00052: child pid 13005 exit signal Segmentation fault (11)
[Tue Jan 07 15:07:35.618192 2014] [core:notice] [pid 664] AH00052: child pid 13685 exit signal Segmentation fault (11)
[Tue Jan 07 15:07:35.618242 2014] [core:notice] [pid 664] AH00052: child pid 13686 exit signal Segmentation fault (11)

this does not fix the problem - i admit that i use my own PHP builds and fetched that two patches, the last 2 weeks i saw these segfaults while and "server closed connection" in FF on my private developer machines very rarely while that AFAIK never happened before 5.5.7 and after some Google around i found "zend.enable_gc=0" may be a workaround

today i upgraded the first (not-so-important) production server and the crashes started way too often, for the moment i am back to 5.5.6 and as far as i can say the problem seems to be solved, so "zend.enable_gc=0" does not really solve it

https://bugs.php.net/bug.php?id=66060
This bug report is marked as private.
fine, nobody outside knows what is happening

if it is true that downgrade to 5.5.6 makes the webserver stable again "The PHP development team announces the immediate availability of PHP 5.5.7. This release fixes some bugs against PHP 5.5.6 and it also includes a fix for CVE-2013-6420 in OpenSSL extension. All users are strongly encouraged to upgrade" is more a bad joke instead put a fat warning that this release is broken

fix a CVE is fine and important but useless in case webservers are no longer working ina stable way

Comment 1 Remi Collet 2014-01-07 15:03:27 UTC
Please provides more information.
- installed extension (rpm -qa php\* | sort)
- a core dump
- a reproducer script

Comment 2 Harald Reindl 2014-01-07 15:09:53 UTC
a reproducer script is impossible to provide because this happens completly unpredictable and can't even not be triggered by "ab -c 100 -n 100000 http://testsite-with-our-own-developed-cms/" and with a random request it segfauls

however, PHP 5.5.6 is *not* affected, the same server downgraded which started with the dying child processes soon after restart and until now no single problem

PEAR/Crypt_GPG is also broken with 5.5.7 and not with 5.5.6, i only ignored the internal auto-test because it is no longer in use on production machines after switch to EPP protocol for domain registartion

[PHP Modules]
bz2
calendar
Core
ctype
curl
date
dom
ereg
exif
filter
gd
hash
iconv
imagick
imap
json
libxml
mbstring
mcrypt
mhash
mysqli
mysqlnd
openssl
pcre
PDO
pdo_mysql
readline
Reflection
session
SimpleXML
soap
SPL
standard
tidy
tokenizer
uploadprogress
xml
Zend OPcache
zip
zlib

[Zend Modules]
Zend OPcache

Comment 3 Remi Collet 2014-01-07 15:27:43 UTC
Sorry, but really nothing to work on.

So will wait for 5.5.8 which will be available later this week to see if this still exist, and if yes, will have to report this upstream.

Comment 4 Harald Reindl 2014-01-07 15:30:40 UTC
ok, if i see no further segfault (still clean on the first machine) i will upgrade the rest of the infrastructure to F19/PHP-5.5.6 and test 5.5.8 on this machine for a day or two before consider roll it out


5.5.6 is pretty sure broken and "This bug report is marked as private" inidicates for me 5.5.7 has a uncomplete fix for whatever breaking down stability

Comment 5 Remi Collet 2014-01-07 15:34:11 UTC
> 5.5.6 is pretty sure broken and "This bug report is marked as private"
> inidicates for me 5.5.7 has a uncomplete fix for whatever breaking down
> stability

This bug is marked as private because it was initially reported as a security bug, while it is clearly not one (or more an impossible to exploit one).

Comment 6 Remi Collet 2014-01-09 10:06:17 UTC
php-5.5.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-5.5.8-1.fc19

Can you please test this new version, and if the segfault still exists provide us some backtrace / core dump for analysis.

Comment 7 Harald Reindl 2014-01-09 12:00:32 UTC
from where do you have the 5.5.8.tar.xz?

change the download URL does not work and i repeatly see you build packages before i am unable to download the sources - i need the unstripped for my rebuild because the whole configuration layout of my packages is different and i do not split out json as well as for F20 the zip-extension for private builds

i only reported that here because pretty sure the Fedora package is affected too and Google finds a lot of reports of segfaults with 5.5.7

Comment 8 Remi Collet 2014-01-09 12:04:32 UTC
> from where do you have the 5.5.8.tar.xz?
From some private URL.
Will be public in a few hour.

So, you are not using the Fedora RPM ?
So you don't have to report bug here, but only in PHP bug tracker.

So, if you don't plan to use official Fedora packages, please close this bug.

Comment 9 Harald Reindl 2014-01-09 12:10:09 UTC
> So, you are not using the Fedora RPM

i statet "i admit that i use my own PHP builds" in the initial report

sorry for notify you about a obvious problem in 5.5.7 which is 
not in 5.5.6 and *for sure* not only in my build

> From some private URL

pffffff

Comment 10 Harald Reindl 2014-01-10 18:41:25 UTC
maybe you are interested that i found out "opcache" in PHP 5.5.7 und 5.5.8 is responsible for the segfaults

https://bugs.php.net/bug.php?id=66460


Note You need to log in before you can comment on or make changes to this bug.